rte_flow_port_info(3)

NAME
rte_flow_port_info

SYNOPSIS

#include <rte_flow.h>

  Data Fields

uint32_t max_nb_queues
uint32_t max_nb_counters
uint32_t max_nb_aging_objects
uint32_t max_nb_meters
uint32_t max_nb_conn_tracks
uint32_t max_nb_quotas
uint32_t supported_flags

Detailed Description

Warning
    EXPERIMENTAL: this API may change without prior notice.

Information about flow engine resources. The zero value means a resource is not supported.

Definition at line 5504 of file rte_flow.h.

Field Documentation

  uint32_t max_nb_queues
Maximum number of queues for asynchronous operations.

Definition at line 5508 of file rte_flow.h.

  uint32_t max_nb_counters
Maximum number of counters.

See also
    RTE_FLOW_ACTION_TYPE_COUNT

Definition at line 5513 of file rte_flow.h.

  uint32_t max_nb_aging_objects
Maximum number of aging objects.

See also
    RTE_FLOW_ACTION_TYPE_AGE

Definition at line 5518 of file rte_flow.h.

  uint32_t max_nb_meters
Maximum number traffic meters.

See also
    RTE_FLOW_ACTION_TYPE_METER

Definition at line 5523 of file rte_flow.h.

  uint32_t max_nb_conn_tracks
Maximum number connection trackings.

See also
    RTE_FLOW_ACTION_TYPE_CONNTRACK

Definition at line 5528 of file rte_flow.h.

  uint32_t max_nb_quotas
Maximum number of quota actions.

See also
    RTE_FLOW_ACTION_TYPE_QUOTA

Definition at line 5533 of file rte_flow.h.

  uint32_t supported_flags
Port supported flags (RTE_FLOW_PORT_FLAG_*).

Definition at line 5537 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.